package com.xxfc.platform.vehicle.mapper;

import com.xxfc.platform.vehicle.entity.VehicleBookHourInfo;
import com.xxfc.platform.vehicle.pojo.VehicleBookHourInfoDto;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

public interface VehicleBookHourInfoMapper extends Mapper<VehicleBookHourInfo> {
    List<VehicleBookHourInfo> selectByVehicleAndDate(VehicleBookHourInfoDto vehicleBookHourInfoDto);

    List<VehicleBookHourInfo> selectByVehicleAndDateList(Map<String, Object> param);

    VehicleBookHourInfo selectByVehicleAndId(VehicleBookHourInfoDto vehicleBookHourInfoDto);

    List<VehicleBookHourInfo> selectByBookRecordId(Integer bookVehicleId);
}